import { Component } from '@angular/core';
import { loadCldr, L10n, setCulture } from "@syncfusion/ej2-base";

declare var require: any;

loadCldr(
  require("cldr-data/main/ar/numbers.json"),
  require("cldr-data/main/ar/ca-islamic.json"),
  require("cldr-data/supplemental/numberingSystems.json"),
  require("cldr-data/main/ar/timeZoneNames.json")
);


@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  ngOnInit(): void {
    setCulture('ar');
    /*loads the localization text*/
    L10n.load({
      'ar': {
        'datepicker': {
            placeholder: "اختر تاريخا",
            today: "اليوم"
        }
      }
    });
  }
}
